/*
epub2pdf, version 0.5 - Copyright 2010 Brendan C. LeFebvre

This file is part of epub2pdf.

epub2pdf is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

epub2pdf is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with epub2pdf.  If not, see <http://www.gnu.org/licenses/>.
*/
package com.amphisoft.epub2pdf.style;

public class StyleSpecText {
    private boolean bold;
    private boolean italic;

    public StyleSpecText() {
        bold = false;
        italic = false;
    }

    public StyleSpecText(StyleSpecText sstOrig) {
        setBold(sstOrig.bold);
        setItalic(sstOrig.italic);
    }

    public void setBold(boolean b) {
        bold = b;
    }

    public void setItalic(boolean i) {
        italic = i;
    }

    public boolean isBold() {
        return bold;
    }

    public boolean isItalic() {
        return italic;
    }

    @Override
    public String toString() {
    	char b = bold ? 'B' : 'b';
    	char i = italic ? 'I' : 'i';
    	String s = "" + b + i;
    	return s;
    }
}
